<?xml version="1.0" encoding="UTF-8"?><record_update table="sys_script_include">
    <sys_script_include action="INSERT_OR_UPDATE">
        <access>package_private</access>
        <active>true</active>
        <api_name>x_pisn_bh.BHObject</api_name>
        <client_callable>false</client_callable>
        <description/>
        <name>BHObject</name>
        <script><![CDATA[var BHObject = Class.create();

BHObject.prototype = {

	tableName: false,
	parent: false,
	query: false,

	initialize: function(rec, parent, query) {
		
		this.parent = parent;
		this.query = query;

		var gr;

		if ((typeof rec === 'string' || rec instanceof String) && rec.length === 32) {

			gr = new GlideRecord(this.tableName);

			if (!gr.get(rec)) {
				throw "Record not found!";
			}

		} else if (rec instanceof GlideRecord && rec.getUniqueValue()) {

			var tr = new global.Triangulator();
			this._location = tr.getLocation(rec).toString();

			gr = rec;
		}

		if (gr) {
			Object.defineProperty(this, '_gr', {
				value: gr,
				enumerable: false
			});
		} else {
			throw "Argument to BHObject wasn't a SysId or GlideRecord";
		}

	},
	
	toJSON: function toJSON () {
		return {
			sysId: this.getSysId()
		};
	},
	
	_setLoc: function () {
		var tr = new global.Triangulator();
		return tr.setLocation(this._gr, this._location);
	},
	
	getSysId: function getSysId () {
		this._setLoc();
		return this._gr.getUniqueValue();
	},

	type: 'BHObject'
};]]></script>
        <sys_class_name>sys_script_include</sys_class_name>
        <sys_created_by>dylan.lindgren</sys_created_by>
        <sys_created_on>2018-08-14 12:55:49</sys_created_on>
        <sys_id>1b43e927db77170027fb8a8b3a9619c9</sys_id>
        <sys_mod_count>49</sys_mod_count>
        <sys_name>BHObject</sys_name>
        <sys_package display_value="BeHeard" source="x_pisn_bh">90ff838bdbfbd300687c26b38a96191b</sys_package>
        <sys_policy>read</sys_policy>
        <sys_scope display_value="BeHeard">90ff838bdbfbd300687c26b38a96191b</sys_scope>
        <sys_update_name>sys_script_include_1b43e927db77170027fb8a8b3a9619c9</sys_update_name>
        <sys_updated_by>dylan.lindgren</sys_updated_by>
        <sys_updated_on>2018-08-25 11:36:09</sys_updated_on>
    </sys_script_include>
</record_update>
